// ===========================================================================
// CONTENT  : CLASS StandardObjects
// AUTHOR   : Manfred Duchrow
// VERSION  : 1.0 - 27/09/2020
// HISTORY  :
//  27/09/2020  mdu  CREATED
//
// Copyright (c) 2020, by MDCS. All rights reserved.
// ===========================================================================
package org.pfsw.bif;

/**
 * Some static methods the can be used to get standard Java objects via methods rather than constants.
 * Such methods can be used as Supplier in Java 8 and later.  
 *
 * @author Manfred Duchrow
 * @version 1.0
 */
public class StandardObjects
{
  public static Boolean getTrue()
  {
    return Boolean.TRUE;
  }

  public static Boolean getFalse()
  {
    return Boolean.FALSE;
  }

  public static Integer getMinInteger()
  {
    return Integer.valueOf(Integer.MIN_VALUE);
  }

  public static Integer getMaxInteger()
  {
    return Integer.valueOf(Integer.MAX_VALUE);
  }

  public static Long getMinLong()
  {
    return Long.valueOf(Long.MIN_VALUE);
  }

  public static Long getMaxLong()
  {
    return Long.valueOf(Long.MAX_VALUE);
  }

  public static Short getMinShort()
  {
    return Short.valueOf(Short.MIN_VALUE);
  }

  public static Short getMaxShort()
  {
    return Short.valueOf(Short.MAX_VALUE);
  }

  public static Byte getMinByte()
  {
    return Byte.valueOf(Byte.MIN_VALUE);
  }

  public static Byte getMaxByte()
  {
    return Byte.valueOf(Byte.MAX_VALUE);
  }

  public static Float getMinFloat()
  {
    return Float.valueOf(Float.MIN_VALUE);
  }

  public static Float getMaxFloat()
  {
    return Float.valueOf(Float.MAX_VALUE);
  }

  public static Double getMinDouble()
  {
    return Double.valueOf(Double.MIN_VALUE);
  }

  public static Double getMaxDouble()
  {
    return Double.valueOf(Double.MAX_VALUE);
  }

  public static Character getMinCharacter()
  {
    return Character.valueOf(Character.MIN_VALUE);
  }

  public static Character getMaxCharacter()
  {
    return Character.valueOf(Character.MAX_VALUE);
  }

  private StandardObjects()
  {
    super();
  }
}
