// ===========================================================================
// CONTENT  : INTERFACE IBooleanSupplier
// AUTHOR   : Manfred Duchrow
// VERSION  : 1.0 - 25/04/2020
// HISTORY  :
//  25/04/2020  mdu  CREATED
//
// Copyright (c) 2020, by MDCS. All rights reserved.
// ===========================================================================
package org.pfsw.bif.callback;

/**
 * Can be used like Java 8 java.util.function.BooleanSupplier, but is available for Java 6.
 * 
 * <p>There is no requirement that a new or distinct result be returned each
 * time the supplier is invoked.
 *
 * @author Manfred Duchrow
 * @version 1.0
 */
public interface IBooleanSupplier
{
  /**
   * Returns a boolean value.
   */
  boolean getAsBoolean();
}