// ===========================================================================
// CONTENT  : INTERFACE IConsumer
// AUTHOR   : Manfred Duchrow
// VERSION  : 1.0 - 14/02/2020
// HISTORY  :
//  14/02/2020  mdu  CREATED
//
// Copyright (c) 2020, by MDCS. All rights reserved.
// ===========================================================================
package org.pfsw.bif.callback;

/**
 * Can be used like Java 8 java.util.function.Consumer, but is available for Java 6.
 *
 * Represents an operation that accepts a single input argument and returns no
 * result. Unlike most other functional interfaces, {@code Consumer} is expected
 * to operate via side-effects.
 *
 * @param <T> the type of the input to the operation
 *
 * @author Manfred Duchrow
 * @version 1.0
 */
//@FuncionalInterface
public interface IConsumer<T>
{
  /**
   * Performs this operation on the given argument.
   *
   * @param t the input argument
   */
  void accept(T t);
}