// ===========================================================================
// CONTENT  : INTERFACE IFunction
// AUTHOR   : Manfred Duchrow
// VERSION  : 1.0 - 14/02/2020
// HISTORY  :
//  14/02/2020  mdu  CREATED
//
// Copyright (c) 2020, by MDCS. All rights reserved.
// ===========================================================================
package org.pfsw.bif.callback;

/**
 * Can be used like Java 8 java.util.function.Function, but is available for Java 6.
 *
 * Represents a function that accepts one argument and produces a result.
 *
 * @param <T> the type of the input to the function
 * @param <R> the type of the result of the function
 *
 * @author Manfred Duchrow
 * @version 1.0
 */
//@FuncionalInterface
public interface IFunction<T, R>
{
  /**
   * Applies this function to the given argument.
   *
   * @param t the function argument
   * @return the function result
   */
  R apply(T t);
}