// ===========================================================================
// CONTENT  : INTERFACE IIntSupplier
// AUTHOR   : Manfred Duchrow
// VERSION  : 1.0 - 25/04/2020
// HISTORY  :
//  25/04/2020  mdu  CREATED
//
// Copyright (c) 2020, by MDCS. All rights reserved.
// ===========================================================================
package org.pfsw.bif.callback;

/**
 * Can be used like Java 8 java.util.function.IntSupplier, but is available for Java 6.
 *
 * Represents a supplier of {@code int}-valued results.  This is the
 * {@code int}-producing primitive specialization of {@link ISupplier}.
 *
 * <p>There is no requirement that a distinct result be returned each
 * time the supplier is invoked.
 *
 * @author Manfred Duchrow
 * @version 1.0
 */
//@FuncionalInterface
public interface IIntSupplier
{
  /**
   * Returns an integer value.
   */
  int getAsInt();
}