// ===========================================================================
// CONTENT  : INTERFACE ISupplier
// AUTHOR   : Manfred Duchrow
// VERSION  : 1.0 - 14/02/2020
// HISTORY  :
//  14/02/2020  mdu  CREATED
//
// Copyright (c) 2020, by MDCS. All rights reserved.
// ===========================================================================
package org.pfsw.bif.callback;

/**
 * Can be used like Java 8 java.util.function.Supplier, but is
 * available for Java 6.
 *
 * Represents a supplier of results.
 *
 * <p>There is no requirement that a new or distinct result be returned each
 * time the supplier is invoked.
 *
 * @param <T> the type of results supplied by this supplier
 *
 * @author Manfred Duchrow
 * @version 1.0
 */
//@FunctionalInterface
public interface ISupplier<T>
{
  /**
   * Gets a result.
   *
   * @return a result
   */
  T get();
}