// ===========================================================================
// CONTENT  : CLASS ConfigRuntimeException
// AUTHOR   : Manfred Duchrow
// VERSION  : 1.0 - 26/02/2017
// HISTORY  :
//  26/02/2017  mdu  CREATED
//
// Copyright (c) 2017, by MDCS. All rights reserved.
// ===========================================================================
package org.pfsw.bif.configuration;

/**
 * A generic runtime exception that signals a configuration problem.
 *
 * @author Manfred Duchrow
 * @version 1.0
 */
public class ConfigRuntimeException extends RuntimeException
{
  private static final long serialVersionUID = -6301684381470052732L;

  public ConfigRuntimeException(String message, Object... args)
  {
    super(String.format(message, args));
  }

  public ConfigRuntimeException(Throwable cause, String message, Object... args)
  {
    super(String.format(message, args), cause);
  }

  public ConfigRuntimeException(Throwable cause)
  {
    super(cause);
  }
}
