// ===========================================================================
// CONTENT  : CLASS ConfigurationException
// AUTHOR   : Manfred Duchrow
// VERSION  : 1.0 - 18/10/2014
// HISTORY  :
//  18/10/2014  mdu  CREATED
//
// Copyright (c) 2014, by MDCS. All rights reserved.
// ===========================================================================
package org.pfsw.bif.configuration;

/**
 * An exception that signals problems with configuration of something.
 *
 * @author Manfred Duchrow
 * @version 1.0
 */
public class ConfigurationException extends Exception
{
  // =========================================================================
  // CONSTANTS
  // =========================================================================
  private static final long serialVersionUID = -2385742444698919460L;

  // =========================================================================
  // CONSTRUCTORS
  // =========================================================================
  public ConfigurationException()
  {
    super();
  }

  public ConfigurationException(String message, Throwable cause)
  {
    super(message, cause);
  }

  public ConfigurationException(String message)
  {
    super(message);
  }

  public ConfigurationException(Throwable cause)
  {
    super(cause);
  }

  public ConfigurationException(String message, Object... args)
  {
    this(String.format(message, args));
  }

  public ConfigurationException(Throwable cause, String message, Object... args)
  {
    this(String.format(message, args), cause);
  }
}
