// ===========================================================================
// CONTENT  : INTERFACE IConfigurableByMap
// AUTHOR   : M.Duchrow
// VERSION  : 2.0 - 18/10/2014
// HISTORY  :
//  24/02/2006  mdu  CREATED
//  18/10/2014  mdu   renamed from IConfigurable
//
// Copyright (c) 2006-2014, by Manfred Duchrow. All rights reserved.
// ===========================================================================
package org.pfsw.bif.configuration ;

// ===========================================================================
// IMPORTS
// ===========================================================================
import java.util.Map;

/**
 * Defines a generic configuration method based on a Map.
 *
 * @author M.Duchrow
 * @version 2.0
 */
public interface IConfigurableByMap<K,V>
{ 
	/**
	 * Configure the receiver with the data provided by the given map 
	 * 
	 * @param configuration Contains the configuration data as key/value pairs
	 */
	public void configure(Map<K, V> configuration);
	
} 