// ===========================================================================
// CONTENT  : CLASS ConversionRuntimeException
// AUTHOR   : Manfred Duchrow
// VERSION  : 1.0 - 05/03/2017
// HISTORY  :
//  05/03/2017  mdu  CREATED
//
// Copyright (c) 2017, by MDCS. All rights reserved.
// ===========================================================================
package org.pfsw.bif.conversion;

/**
 * A runtime exception signaling a conversion problem.
 *
 * @author Manfred Duchrow
 * @version 1.0
 */
public class ConversionRuntimeException extends RuntimeException
{
  private static final long serialVersionUID = -2704198526189847717L;

  public ConversionRuntimeException(String message, Object... args)
  {
    super(String.format(message, args));
  }

  public ConversionRuntimeException(Throwable cause, String message, Object... args)
  {
    super(String.format(message, args), cause);
  }
  
  public ConversionRuntimeException(Throwable cause)
  {
    super(cause);
  }
}
