// ===========================================================================
// CONTENT  : INTERFACE IBooleanRepresentation
// AUTHOR   : Manfred Duchrow
// VERSION  : 1.0 - 09/03/2019
// HISTORY  :
//  09/03/2019  mdu  CREATED
//
// Copyright (c) 2019, by MDCS. All rights reserved.
// ===========================================================================
package org.pfsw.bif.conversion;

/**
 * This interface defines the method an object must support,
 * if it wants to represent itself as a boolean.
 *
 * @author Manfred Duchrow
 * @version 1.0
 */
public interface IBooleanRepresentation
{
  /**
   * Returns the boolean representation of the implementing object.
   */
  public Boolean asBoolean();
}