// ===========================================================================
// CONTENT  : INTERFACE IObjectConverter
// AUTHOR   : Manfred Duchrow
// VERSION  : 1.0 - 26/02/2017
// HISTORY  :
//  26/02/2017  mdu  CREATED
//
// Copyright (c) 2017, by MDCS. All rights reserved.
// ===========================================================================
package org.pfsw.bif.conversion;

/**
 * Defines a generic functional interface for the conversion of a
 * given source object into a target object. 
 *
 * @author Manfred Duchrow
 * @version 1.0
 */
//@FunctionalInterface
public interface IObjectConverter<TSource, TTarget>
{
  /**
   * Converts the given source object into the target representation. 
   * 
   * @param source The object to be converted (may be null).
   * @return null or the target object representation of the given object.
   * @throws ConversionRuntimeException For any problem that prevented successful object conversion.
   */
  public TTarget convert(TSource source);
}