// ===========================================================================
// CONTENT  : INTERFACE IStringConverter
// AUTHOR   : Manfred Duchrow
// VERSION  : 1.0 - 25/01/2020
// HISTORY  :
//  25/01/2020  mdu  CREATED
//
// Copyright (c) 2020, by MDCS. All rights reserved.
// ===========================================================================
package org.pfsw.bif.conversion;

/**
 * Defines a generic functional interface for the conversion of a
 * given source object into a {@link String}. 
 *
 * @author Manfred Duchrow
 * @version 1.0
 */
//@FunctionalInterface
public interface IStringConverter<T> extends IObjectConverter<T, String>
{
  /**
   * Converts the given source object into a string representation. 
   * 
   * @param source The object to be converted (may be null).
   * @return null or the string representation of the given object.
   * @throws ConversionRuntimeException For any problem that prevented successful object conversion.
   */
  @Override
  String convert(T source);
}