// ===========================================================================
// CONTENT  : INTERFACE IBuilder
// AUTHOR   : Manfred Duchrow
// VERSION  : 1.0 - 12/05/2020
// HISTORY  :
//  12/05/2020  mdu  CREATED
//
// Copyright (c) 2020, by MDCS. All rights reserved.
// ===========================================================================
package org.pfsw.bif.creation;

/**
 * Interface of classes that are supposed to support a fluent API builder pattern.   
 *
 * @author Manfred Duchrow
 * @version 1.0
 */
public interface IBuilder<T>
{
  /**
   * Returns the newly created instance.
   */
  T build();
}