// ===========================================================================
// CONTENT  : INTERFACE IFieldName
// AUTHOR   : Manfred Duchrow
// VERSION  : 1.0 - 13/03/2020
// HISTORY  :
//  13/03/2020  mdu  CREATED
//
// Copyright (c) 2020, by MDCS. All rights reserved.
// ===========================================================================
package org.pfsw.bif.enums;

import org.pfsw.bif.text.IName;
import org.pfsw.bif.text.IStringConstant;

/**
 * Common interface for enumerations that specify field names. 
 *
 * @author Manfred Duchrow
 * @version 1.0
 */
public interface IFieldName extends IStringConstant, IName
{
  /**
   * Returns the field name as string.
   */
  String getFieldName();
}