// ===========================================================================
// CONTENT  : CLASS IORuntimeException
// AUTHOR   : Manfred Duchrow
// VERSION  : 1.0 - 13/07/2019
//  13/07/2019  mdu  CREATED
//
// Copyright (c) 2019, by MDCS. All rights reserved.
// ===========================================================================
package org.pfsw.bif.exceptions;

import java.io.IOException;

/**
 * A generic runtime exception that is supposed to be used for wrapping
 * a checked {@link IOException}.
 *
 * @author Manfred Duchrow
 * @version 1.0
 */
public class IORuntimeException extends RuntimeException
{
  private static final long serialVersionUID = -3567586417653043532L;

  public IORuntimeException(String message, Object... args)
  {
    super(String.format(message, args));
  }

  public IORuntimeException(IOException cause, String message, Object... args)
  {
    super(String.format(message, args), cause);
  }

  public IORuntimeException(IOException cause)
  {
    super(cause.getMessage(), cause);
  }
}
