// ===========================================================================
// CONTENT  : CLASS InvalidUrlException
// AUTHOR   : Manfred Duchrow
// VERSION  : 1.0 - 23/05/2020
// HISTORY  :
//  23/05/2020  mdu  CREATED
//
// Copyright (c) 2020, by MDCS. All rights reserved.
// ===========================================================================
package org.pfsw.bif.exceptions;

/**
 * A runtime exception for signaling an invalid URL.
 *
 * @author Manfred Duchrow
 * @version 1.0
 */
public class InvalidUrlException extends RuntimeException
{
  private static final long serialVersionUID = -7014924179937891134L;

  public InvalidUrlException(String message, Object... args)
  {
    super(String.format(message, args));
  }

  public InvalidUrlException(Throwable cause, String message, Object... args)
  {
    super(String.format(message, args), cause);
  }
}
