// ===========================================================================
// CONTENT  : CLASS IdentifierGenerationException
// AUTHOR   : Manfred Duchrow
// VERSION  : 1.0 - 18/04/2020
// HISTORY  :
//  18/04/2020  mdu  CREATED
//
// Copyright (c) 2020, by MDCS. All rights reserved.
// ===========================================================================
package org.pfsw.bif.identifier;

import java.lang.RuntimeException;

/**
 * General purpose exception for all problems that might occur during identifier generation.
 *
 * @author Manfred Duchrow
 * @version 1.0
 */
public class IdentifierGenerationException extends RuntimeException
{
  private static final long serialVersionUID = -3899619850433694475L;

  public IdentifierGenerationException(String message, Object... args)
  {
    super(String.format(message, args));
  }

  public IdentifierGenerationException(Throwable cause, String message, Object... args)
  {
    super(String.format(message, args), cause);
  }
}
