// ===========================================================================
// CONTENT  : INTERFACE IStringRepresentation
// AUTHOR   : Manfred Duchrow
// VERSION  : 1.0 - 27/12/2018
// HISTORY  :
//  27/12/2018  mdu  CREATED
//
// Copyright (c) 2018, by MDCS. All rights reserved.
// ===========================================================================
package org.pfsw.bif.text;

/**
 * This interface defines the method an object must support,
 * if it wants to provide its string representation other than
 * by the method <i>toString()</i>.
 *
 * @author Manfred Duchrow
 * @version 1.0
 */
public interface IStringRepresentation
{
  /**
   * Returns the string representation of the implementing object.
   */
  public String asString();
}