// ===========================================================================
// CONTENT  : CLASS IDisplayableObject
// AUTHOR   : Manfred Duchrow
// VERSION  : 1.0 - 09/08/2021
// HISTORY  :
//  09/08/2021  mdu  CREATED
//
// Copyright (c) 2021, by MDCS. All rights reserved.
// ===========================================================================
package org.pfsw.bif.ui;

/**
 * Identifies an object as displayable by providing an explicit displayString() method
 * that is supposed to be used for displaying the object.
 */
public interface IDisplayableObject
{
  /**
   * Returns the display string of the object. Must never return null!
   */
  String displayString();
}
