// ===========================================================================
// CONTENT  : INTERFACE INamedElement
// AUTHOR   : Manfred Duchrow
// VERSION  : 1.0 - 01/11/2015
// HISTORY  :
//  01/11/2015  mdu  CREATED
//
// Copyright (c) 2015, by MDCS. All rights reserved.
// ===========================================================================
package org.pfsw.file.cfiles ;

/**
 * Common API for elements with a name.
 *
 * @author Manfred Duchrow
 * @version 1.0
 */
public interface INamedElement
{
  /**
   * Returns the name of the element.
   * 
   * @return The name or null if none is defined yet.
   */
  public String getName();
  
  /**
   * Adds the name representation (which might be more than just the name itself)) to the given builder.
   * 
   * @param builder The builder to which the name representation must be added. 
   * @throws IllegalStateException If the name representation of the implementor is incomplete (e.g null) 
   * and therefore cannot be appended.
   */
  public void appendNameTo(StringBuilder builder);
}