// ===========================================================================
// CONTENT  : CLASS SkipHostnameVerification
// AUTHOR   : Manfred Duchrow
// VERSION  : 1.0 - 18/12/2020
// HISTORY  :
//  18/12/2020  mdu  CREATED
//
// Copyright (c) 2020, by MDCS. All rights reserved.
// ===========================================================================
package org.pfsw.net;

import javax.net.ssl.HostnameVerifier;
import javax.net.ssl.SSLSession;

/**
 * A simple HostnameVerifier that accepts all hostnames.
 * 
 * @author M.Duchrow
 */
public class SkipHostnameVerification implements HostnameVerifier
{
  public static SkipHostnameVerification create()
  {
    return new SkipHostnameVerification();
  }
  
  public SkipHostnameVerification()
  {
    super();
  }
  
  @Override
  public boolean verify(String hostname, SSLSession arg1)
  {
    return true;
  }
}
