// ===========================================================================
// CONTENT  : INTERFACE RequestHeaderNames
// AUTHOR   : Manfred Duchrow
// VERSION  : 2.0 - 18/12/2020
// HISTORY  :
//  19/08/2014  mdu  CREATED
//  18/12/2020  mdu   changed --> refer to PF-BIF constants
//
// Copyright (c) 2014-2020, by MDCS. All rights reserved.
// ===========================================================================
package org.pfsw.net.http ;

import org.pfsw.bif.http.NonStandardHttpHeaderName;
import org.pfsw.bif.http.OtherHttpHeaderName;
import org.pfsw.bif.http.StandardHttpHeaderName;

/**
 * Standard HTTP header name constants 
 *
 * @author Manfred Duchrow
 * @version 2.0
 */
public interface RequestHeaderNames
{ 
  // =========================================================================
  // Standard request header
  // =========================================================================
  String ACCEPT = StandardHttpHeaderName.ACCEPT.asString();

  String ACCEPT_LANGUAGE = StandardHttpHeaderName.ACCEPT_LANGUAGE.asString();
  String ACCEPT_CHARSET = StandardHttpHeaderName.ACCEPT_CHARSET.asString();
  String ACCEPT_ENCODING = StandardHttpHeaderName.ACCEPT_ENCODING.asString();

  String AUTHORIZATION = StandardHttpHeaderName.AUTHORIZATION.asString();

  String CACHE_CONTROL = StandardHttpHeaderName.CACHE_CONTROL.asString();

  String CONTENT_TYPE = StandardHttpHeaderName.CONTENT_TYPE.asString();
  String CONTENT_LENGTH = StandardHttpHeaderName.CONTENT_LENGTH.asString();

  String COOKIE = StandardHttpHeaderName.COOKIE.asString();

  String HOST = StandardHttpHeaderName.HOST.asString();

  String PRAGMA = StandardHttpHeaderName.PRAGMA.asString();

  String REFERER = StandardHttpHeaderName.REFERER.asString();
  
  String USER_AGENT = StandardHttpHeaderName.USER_AGENT.asString();

  String VIA = StandardHttpHeaderName.VIA.asString();

  // =========================================================================
  // Generally used eXtension request headers
  // =========================================================================
  String X_REQUESTED_WITH = NonStandardHttpHeaderName.X_REQUESTED_WITH.asString();

  String X_ACCESS_TOKEN = OtherHttpHeaderName.X_ACCESS_TOKEN.asString();

  String X_AUTH_TOKEN = OtherHttpHeaderName.X_AUTH_TOKEN.asString();

  String X_JWT_ASSERTION = OtherHttpHeaderName.X_JWT_ASSERTION.asString();
}