// ===========================================================================
// CONTENT  : INTERFACE ResponseHeaderNames
// AUTHOR   : Manfred Duchrow
// VERSION  : 2.0 - 18/12/2020
// HISTORY  :
//  27/09/2014  mdu  CREATED
//  18/12/2020  mdu   changed --> refer to PF-BIF constants
//
// Copyright (c) 2014-2020, by MDCS. All rights reserved.
// ===========================================================================
package org.pfsw.net.http;

import org.pfsw.bif.http.NonStandardHttpHeaderName;
import org.pfsw.bif.http.StandardHttpHeaderName;

/**
 * Constant definitions for HTTP response header names. 
 *
 * @author Manfred Duchrow
 * @version 2.0
 */
public interface ResponseHeaderNames
{
  // =========================================================================
  // Standard headers
  // =========================================================================
  String AGE = StandardHttpHeaderName.AGE.asString();
  String ALLOW = StandardHttpHeaderName.ALLOW.asString();
  String CACHE_CONTROL = StandardHttpHeaderName.CACHE_CONTROL.asString();
  String CONNECTION = StandardHttpHeaderName.CONNECTION.asString();
  String CONTENT_ENCODING = StandardHttpHeaderName.CONTENT_ENCODING.asString();
  String CONTENT_LANGUAGE = StandardHttpHeaderName.CONTENT_LANGUAGE.asString();
  String CONTENT_LENGTH = StandardHttpHeaderName.CONTENT_LENGTH.asString();
  String CONTENT_SECURITY_POLICY = StandardHttpHeaderName.CONTENT_SECURITY_POLICY.asString();
  String CONTENT_TYPE = StandardHttpHeaderName.CONTENT_TYPE.asString();
  String DATE = StandardHttpHeaderName.DATE.asString();
  String ETAG = StandardHttpHeaderName.ETAG.asString();
  String EXPIRES = StandardHttpHeaderName.EXPIRES.asString();
  String LAST_MODIFIED = StandardHttpHeaderName.LAST_MODIFIED.asString();
  String LOCATION = StandardHttpHeaderName.LOCATION.asString();
  String P3P = StandardHttpHeaderName.P3P.asString();
  String PRAGMA = StandardHttpHeaderName.PRAGMA.asString();
  String PROXY_AUTHENTICATE = StandardHttpHeaderName.PROXY_AUTHENTICATE.asString();
  String SET_COOKIE = StandardHttpHeaderName.SET_COOKIE.asString();
  String SET_COOKIE2 = StandardHttpHeaderName.SET_COOKIE2.asString();
  String TRANSFER_ENCODING = StandardHttpHeaderName.TRANSFER_ENCODING.asString();
  String VIA = StandardHttpHeaderName.VIA.asString();
  String WWW_AUTHENTICATE = StandardHttpHeaderName.WWW_AUTHENTICATE.asString();

  // =========================================================================
  // eXtension headers
  // =========================================================================
  String X_FRAME_OPTIONS = NonStandardHttpHeaderName.X_FRAME_OPTIONS.asString();
  String X_XSS_PROTECTION = NonStandardHttpHeaderName.X_XSS_PROTECTION.asString();
  String X_CONTENT_TYPE_OPTIONS = NonStandardHttpHeaderName.X_CONTENT_TYPE_OPTIONS.asString();

}