// ===========================================================================
// CONTENT  : ABSTRACT CLASS LoggerProvider
// AUTHOR   : Manfred Duchrow
// VERSION  : 1.0 - 20/08/2014
// HISTORY  :
//  20/08/2014  mdu  CREATED
//
// Copyright (c) 2014, by MDCS. All rights reserved.
// ===========================================================================
package org.pfsw.net.internal;

import org.pfsw.logging.Logger;
import org.pfsw.logging.LoggerFactory;
import org.pfsw.logging.LoggerFactoryProvider;

/**
 * Logging constants.
 *
 * @author Manfred Duchrow
 * @version 1.0
 */
public abstract class LoggerProvider
{
  // =========================================================================
  // CONSTANTS
  // =========================================================================
  private static final String COMPONENT_LOGGER_ID = "org.pfsw.net";
  private static final Logger LOGGER = createComponentLogger();

  public static final String PFNET0001 = "PFNET0001";
  public static final String PFNET0002 = "PFNET0002";
  public static final String PFNET0003 = "PFNET0003";
  public static final String PFNET0004 = "PFNET0004";

  // =========================================================================
  // CLASS METHODS
  // =========================================================================
  public static Logger getComponentLogger()
  {
    return LOGGER;
  }

  private static Logger createComponentLogger()
  {
    LoggerFactory loggerFactory;

    loggerFactory = LoggerFactoryProvider.getLoggerFactory();
    return loggerFactory.getLogger(COMPONENT_LOGGER_ID);
  }

  // =========================================================================
  // CONSTRUCTORS
  // =========================================================================
  private LoggerProvider()
  {
    super();
  }
}
