// ===========================================================================
// CONTENT  : INTERFACE IIdentifiablePlugin
// AUTHOR   : Manfred Duchrow
// VERSION  : 1.0 - 21/05/2017
// HISTORY  :
//  21/05/2017  mdu  CREATED
//
// Copyright (c) 2017, by MDCS. All rights reserved.
// ===========================================================================
package org.pfsw.plugin ;

/**
 * This interface can optionally be implemented by plugins.
 * If it is recognized by the plugin loading mechanism the plugin will be
 * put under this ID into the {@link PluginRegistry}.
 *
 * @author Manfred Duchrow
 * @version 1.0
 */
public interface IIdentifiablePlugin
{
  public static final String ID_METHOD_NAME = "getPluginId";
  
  /**
   * Returns the identifier of the plugin (never null).
   */
  public String getPluginId();
}