// ===========================================================================
// CONTENT  : INTERFACE PluginRegistration
// AUTHOR   : Manfred Duchrow
// VERSION  : 1.0 - 23/11/2014
// HISTORY  :
//  23/11/2014  mdu  CREATED
//
// Copyright (c) 2014, by MDCS. All rights reserved.
// ===========================================================================
package org.pfsw.plugin;

import java.util.Map;

/**
 * Implementations of this interface provide alias names with associated classes
 * that will be registered for dynamic instantiation.
 *
 * @author Manfred Duchrow
 * @version 1.0
 */
public interface PluginRegistration
{
  /**
   * Returns a map with all classes that should be registered for dynamic
   * instantiation. The key is an alias names for the associated class.
   * 
   * @return A (perhaps empty) map, but never null.
   */
  public Map<String, Class<?>> getClassesToRegister();

}