// ===========================================================================
// CONTENT  : CLASS KeystoreType
// AUTHOR   : Manfred Duchrow
// VERSION  : 1.0 - 02/08/2021
// HISTORY  :
//  02/08/2021  mdu  CREATED
//
// Copyright (c) 2021, by MDCS. All rights reserved.
// ===========================================================================
package org.pfsw.security;

import org.pfsw.bif.text.IStringConstant;

public enum KeystoreType implements IStringConstant
{
  JKS("jks");

  private final String stringValue;

  KeystoreType(String stringValue)
  {
    this.stringValue = stringValue;
  }

  @Override
  public String asString()
  {
    return getStringValue();
  }

  public String getStringValue()
  {
    return this.stringValue;
  }

  @Override
  public String toString()
  {
    return String.format("%s(%s, '%s')", getClass().getSimpleName(), name(), asString());
  }
}
