// ===========================================================================
// CONTENT  : CLASS SecurityRuntimeException
// AUTHOR   : Manfred Duchrow
// VERSION  : 1.0 - 02/08/2021
// HISTORY  :
//  02/08/2021  mdu  CREATED
//
// Copyright (c) 2021, by MDCS. All rights reserved.
// ===========================================================================
package org.pfsw.security;

import java.security.GeneralSecurityException;

/**
 * A generic runtime exception for security problems.
 * 
 * @author M.Duchrow
 */
public class SecurityRuntimeException extends RuntimeException
{
  private static final long serialVersionUID = -7093123776642974081L;

  public SecurityRuntimeException(String message, Object... args)
  {
    super(String.format(message, args));
  }

  public SecurityRuntimeException(GeneralSecurityException secException, String message, Object... args)
  {
    super(String.format(message, args), secException);
  }

  public SecurityRuntimeException(GeneralSecurityException secException)
  {
    super(secException);
  }
}
