// ===========================================================================
// CONTENT  : CLASS CryptoRuntimeException
// AUTHOR   : Manfred Duchrow
// VERSION  : 2.0 - 17/04/2020
// HISTORY  :
//  16/11/2013  mdu  CREATED
//  17/04/2020  mdu   changed --> all constructors
//
// Copyright (c) 2013-2020, by MDCS. All rights reserved.
// ===========================================================================
package org.pfsw.security.crypto;

/**
 * A simple runtime exception class that is used to encapsulate checked
 * exceptions in cases where catching exceptions makes no sense or is 
 * polluting the code.
 *
 * @author Manfred Duchrow
 * @version 2.0
 */
public class CryptoRuntimeException extends RuntimeException
{
  private static final long serialVersionUID = -7444072459490707076L;

  public CryptoRuntimeException(String message, Object... args)
  {
    super(String.format(message, args));
  }

  public CryptoRuntimeException(Throwable cause, String message, Object... args)
  {
    super(String.format(message, args), cause);
  }
}
