// ===========================================================================
// CONTENT  : ABSTRACT CLASS AElementFilter
// AUTHOR   : Manfred Duchrow
// VERSION  : 1.0 - 19/01/2014
// HISTORY  :
//  19/01/2014  mdu  CREATED
//
// Copyright (c) 2014, by MDCS. All rights reserved.
// ===========================================================================
package org.pfsw.six;

/**
 * Abstract base class for IElementFilter implementors. 
 *
 * @author Manfred Duchrow
 * @version 1.0
 */
public abstract class AElementFilter implements IElementFilter
{
  // =========================================================================
  // CONSTRUCTORS
  // =========================================================================
  public AElementFilter()
  {
    super();
  }

  // =========================================================================
  // PUBLIC INSTANCE METHODS
  // =========================================================================
  @Override
  public boolean matches(Element object)
  {
    return this.matchesElement(object);
  }

  // =========================================================================
  // PROTECTED INSTANCE METHODS
  // =========================================================================
  /**
   * Returns whether or not the given element matches this filter.
   *   
   * @param element The element to check against the filter.
   */
  protected abstract boolean matchesElement(Element element);

}
