package org.pfsw.text;

import org.pfsw.bif.callback.IFunction;

public interface PlaceholderReplacer extends IFunction<String, String>
{
  /**
   * Replaces all placeholders in the given input string and returns the new string
   * where the placeholders have been replaced.
   * <p>
   * The placeholder syntax and where the replacement values are coming from is specific to the implementation.
   * 
   * @param input The string that contains placeholders (might be null).
   * @return The new string with all placeholders that could be replaced, have been replaced or null if the input was null.
   */
  String replacePlaceholders(String input);
}
