// ===========================================================================
// CONTENT  : CLASS JsonOutputException
// AUTHOR   : Manfred Duchrow
// VERSION  : 1.0 - 10/05/2020
// HISTORY  :
//  10/05/2020  mdu  CREATED
//
// Copyright (c) 2020, by MDCS. All rights reserved.
// ===========================================================================
package org.pfsw.text.json ;

/**
 * General exception for problems with writing JSON object fields/values.
 *
 * @author Manfred Duchrow
 * @version 1.0
 */
public class JsonOutputException extends RuntimeException
{
  private static final long serialVersionUID = -6398717971552133346L;
  
  public JsonOutputException(String message, Object...args)
  {
    super(String.format(message, args));
  }

  public JsonOutputException(Throwable cause, String message, Object...args)
  {
    super(String.format(message, args), cause);
  }
}
