// ===========================================================================
// CONTENT  : CLASS JsonParseException
// AUTHOR   : Manfred Duchrow
// VERSION  : 2.0 - 02/042020
// HISTORY  :
//  24/08/2014  mdu  CREATED
//  02/04/2020  mdu   changed -> to runtime exception
//
// Copyright (c) 2014-2020, by MDCS. All rights reserved.
// ===========================================================================
package org.pfsw.text.json;

/**
 * An exception for all kinds of JSON parsing problems.
 *
 * @author Manfred Duchrow
 * @version 2.0
 */
public class JsonParseException extends RuntimeException
{
  private static final long serialVersionUID = -285876971563938406L;

  public JsonParseException(String message, Object... args)
  {
    super(String.format(message, args));
  }

  public JsonParseException(Throwable cause, String message, Object... args)
  {
    super(String.format(message, args), cause);
  }
}
