// ===========================================================================
// CONTENT  : CLASS Base64StandardEncoder
// AUTHOR   : Manfred Duchrow
// VERSION  : 1.0 - 25/04/2020
// HISTORY  :
//  25/04/2020  mdu  CREATED
//
// Copyright (c) 2020, by MDCS. All rights reserved.
// ===========================================================================
package org.pfsw.util;

/**
 * Provides standard Base64 encoding (using '+' and '/') with or without padding (padding char '=').
 *
 * @author Manfred Duchrow
 * @version 1.0
 */
public class Base64StandardEncoder extends AbstractBase64Encoder
{
  /**
   * Creates a new instance of this Base64 encoder with padding.
   */
  public static Base64StandardEncoder withPadding()
  {
    return new Base64StandardEncoder(true);
  }

  /**
   * Creates a new instance of this Base64 encoder without padding.
   */
  public static Base64StandardEncoder withoutPadding()
  {
    return new Base64StandardEncoder(false);
  }

  /**
   * Creates a new instance of this Base64 encoder.
   */
  public Base64StandardEncoder(boolean withPadding)
  {
    super(withPadding);
  }

  @Override
  protected String encode(byte[] bytes)
  {
    return Base64Converter.encodeToString(bytes);
  }
}
